import React from 'react';

interface UseDisclosureProps {
    isOpen?: boolean;
    defaultIsOpen?: boolean;
    onClose?(): void;
    onOpen?(): void;
    id?: string;
}
declare type HTMLProps = React.HTMLAttributes<HTMLElement>;
declare function useDisclosure(props?: UseDisclosureProps): {
    isOpen: boolean;
    onOpen: () => void;
    onClose: () => void;
    onToggle: () => void;
    isControlled: boolean;
    getButtonProps: (props?: HTMLProps) => HTMLProps;
    getDisclosureProps: (props?: HTMLProps) => HTMLProps;
};
declare type UseDisclosureReturn = ReturnType<typeof useDisclosure>;

export { UseDisclosureProps, UseDisclosureReturn, useDisclosure };
